Browser Compatibility

As part of ensuring that we are able to offer you the best experience and performance from Worldpay Dashboard we require that you run an internet browser of a certain level or above. The current minimum supported browser versions for Worldpay Dashboard are as below:

  • Chrome 70+
  • Safari 11+ on Mac 
  • Safari 5+ on Windows
  • Internet Explorer 11+
  • Edge 16+
  • Firefox 60+

If you are currently running a browser version older than those denoted above select your browser provider from the list below to download the latest version.

Why do I need an up-to-date browser?

Security - Newer browsers protect you better against viruses, scams and other threats. Outdated browsers have security holes which are fixed in updates.

Speed - Every new browser generation improves speed

Compatibility & new Technology - You can view sites that are using the latest technology

Comfort & better experience - Have a more comfortable experience with new features, extensions and better customisability.

 

Please note: If your Operating System is Windows XP or Windows 7, the latest version of your browser may not be supported for security reasons.

Contact us

If you can't find what you're looking for, please contact a member of our UK Customer Support team.

0345 761 62 63